TMatrix(6)

NAME
TMatrix - Terminal based replica of the digital rain from The Matrix

SYNOPSIS
tmatrix [--version] [--help] [--mode=MODE]
        [-s VALUE | --steps-per-sec=VALUE]
        [-f RANGE | --fall-speed=RANGE] [-G RANGE | --start-gap=RANGE]
        [-g RANGE | --gap=RANGE] [-l RANGE] [-r RANGE] [--fade]
        [--no-fade] [-C COLOR | --color=COLOR]
        [-c COLOR | --background=COLOR] [-t TEXT | --title=TEXT]

DESCRIPTION
Simulates the digital rain effect from The Matrix.

OPTIONS

--version
    Output version information and exit.

--help
    Display this help and exit.

--mode=MODE
    Set the mode of the rain.
    Available modes: default, dense.

-s, --steps-per-sec=VALUE
    Run this many steps per second.
    VALUE can range from 1 to 60.
    Default: 10.

-f, --fall-speed=RANGE
    Set the range for the fall speed.
    The speeds can have decimal parts (e.g. 1.2)
    The maximal fall speed value is 10.0.
    Default: 0.5,1.5.

-G, --start-gap=RANGE
    Set the range for the starting gaps.
    Default: 10,50.

-g, --gap=RANGE
    Set the range for the gaps between streaks.
    Default: 0,40.

-l RANGE
    Set the range for the length of rain streaks.
    The minimal length value is 1.
    Default: 1,30.

-r RANGE
    Set the range for the character update rate.
    The values correspond to the number of steps before the change.
    0 represents no change.
    Default: 10,20.

--fade
    Enable fading characters. (Default)

--no-fade
    Disable fading characters.

-C, --color=COLOR
    Set the color of the characters.
    Available colors: default, white, gray, black, red, green,
    yellow, blue, magenta, cyan.
    Default: green.

-c, --background=COLOR
    Set the color of the background.
    Available colors: default, white, gray, black, red, green,
    yellow, blue, magenta, cyan.

-t, --title=TEXT
    Set the title that appears in the rain.
    Note: the title needs to fit within the terminal window
    in order to be displayed.

RANGE is a pair of numbers separated by a comma: MIN,MAX.
It specifies the boundaries of a set from which random numbers are picked.

Real-time commands

p   Pause

q   Quit

AUTHORS
Written by Miloš Stojanović <mc.cm.mail@gmail.com>

LICENSE
Copyright (C) 2018-2021 Miloš Stojanović
SPDX-License-Identifier: GPL-2.0-only

SEE ALSO
cmatrix(1)